> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a raw-data run

> Rename a run or set/clear its start time. Omitted fields are unchanged.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json patch /raw_data_runs/{run_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /raw_data_runs/{run_id}:
    patch:
      tags:
        - Raw Data Runs
      summary: Update a raw-data run
      description: Rename a run or set/clear its start time. Omitted fields are unchanged.
      operationId: update_raw_data_run_raw_data_runs__run_id__patch
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            title: Run Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRawDataRun'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RawDataRun'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateRawDataRun:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: New label.
        start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Start Time
          description: Run start time.
      type: object
      title: UpdateRawDataRun
      description: Partial update for a run.
    RawDataRun:
      properties:
        project_id:
          type: string
          title: Project Id
          description: Owning project ID (required).
        name:
          type: string
          title: Name
          description: Human-readable label for the run.
        start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Start Time
          description: >-
            Run start, when known. Descriptive only — nothing derives it and
            nothing keys on it.
        id:
          type: string
          title: Id
          description: Unique identifier.
        organization_id:
          type: string
          title: Organization Id
          description: Owning organization.
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
          description: User ID of the creator.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Last update timestamp.
      type: object
      required:
        - project_id
        - name
        - id
        - organization_id
        - created_at
        - updated_at
      title: RawDataRun
      description: A run as returned by the API.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````